---
title: Element.scrollTo()
slug: Web/API/Element/scrollTo
tags:
  - API
  - Element
  - Method
  - Reference
  - scrollTo
---
<div>{{APIRef}}</div>

<p>The <code><strong>scrollTo()</strong></code> method of the {{domxref("Element")}} interface scrolls to a particular set of coordinates inside a given element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">element.scrollTo(<em>x-coord</em>, <em>y-coord</em>)
element.scrollTo(<em>options</em>)
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code><var>x-coord</var></code> is the pixel along the horizontal axis of the element that you want displayed in the upper left.</li>
 <li><code><var>y-coord</var></code> is the pixel along the vertical axis of the element that you want displayed in the upper left.</li>
</ul>

<p>- or -</p>

<ul>
 <li><code>options</code> is a {{domxref("ScrollToOptions")}} dictionary.</li>
</ul>

<h2 id="Example">Examples</h2>

<pre class="brush:js">element.scrollTo(0, 1000);
</pre>

<p>Using <code>options</code>:</p>

<pre class="brush: js">element.scrollTo({
  top: 100,
  left: 100,
  behavior: 'smooth'
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSSOM View', '#dom-element-scrollto-options-options', 'element.scrollTo()') }}</td>
   <td>{{ Spec2('CSSOM View') }}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<p>{{Compat("api.Element.scrollTo")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Element.scrollTop")}}, {{domxref("Element.scrollLeft")}}</li>
 <li>{{domxref("Window.scrollTo()")}}</li>
</ul>
